Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 540368 (llk_linux) - Review Request: llk_linux - A very popular game from internet
Summary: Review Request: llk_linux - A very popular game from internet
Keywords:
Status: CLOSED NOTABUG
Alias: llk_linux
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://llk-linux.sourceforge.net/
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-23 07:43 UTC by Chen Lei
Modified: 2012-06-29 22:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:03:11 UTC


Attachments (Terms of Use)

Description Chen Lei 2009-11-23 07:43:22 UTC
A popular game written in GTK.

Your mission in this game is to remove all blocks from the game board. A
matching pair of blocks can be removed, if they are 'free', which means the
connection between these two blocks does not cross other block and have at most
two turns.

SPEC: http://dl.dropbox.com/u/1338197/1/llk_linux.spec
SRPM: http://dl.dropbox.com/u/1338197/1/llk_linux-2.3-0.1.beta1.fc12.src.rpm

Comment 1 Chen Lei 2009-11-23 08:21:33 UTC
See http://allmyapps.com/app/ubuntu-9.10/llk-linux-llk_linux for More informations and screenshots.

Comment 2 Jan Klepek 2009-12-06 10:53:45 UTC
md5sum of tar inside does not match with upstream tar which is referenced in Source.

Comment 3 Chen Lei 2009-12-07 16:31:04 UTC
Hi Jan, sorry for my late reply.
I have updated the tar with right md5sum in the src.rpm.
SPEC: http://dl.dropbox.com/u/1338197/1/llk_linux.spec
SRPM: http://dl.dropbox.com/u/1338197/1/llk_linux-2.3-0.1.beta1.fc12.src.rpm

Comment 4 Jan Klepek 2009-12-07 16:48:33 UTC
1] Please bump Release each time you perform any change into spec file

2] In spec file you have:
Version:	2.3
Release:	0.1.beta1%{?dist}

However, version of llk is 2.3beta1
Imho you should have following in spec file (and update Source link to reflect this): 
Version: 2.3beta1
Release: 1%{?dist}

And bump Release each change in spec file
(so now it should be:
Release: 2%{?dist}
next version should have:
Release: 3%{?dist}
etc...)

3] Are compiler flags honored in Makefile by default?
If no, you should honor them correctly
http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

4] if possible, you should use following way how to install desktop file
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

5] comments in files section should be removed

Comment 5 Chen Lei 2009-12-08 14:44:35 UTC
Thankkee Jan! I modified my spec files.
New spec and SRPMS
SPEC: http://dl.dropbox.com/u/1338197/1/llk_linux.spec
SRPM: http://dl.dropbox.com/u/1338197/1/llk_linux-2.3-0.2.beta1.fc12.src.rpm

Some changes
1.
I bumpd the release from 0.1.beta1%{?dist} to 0.2.beta1%{?dist}.
2.
I think the version of llk_linux should retain 2.3 rather than 2.3beta1, beta1 should in the release number.
See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#NonNumericRelease
3.
This package successfully honored compiler flags in Makefile by default, so we do not need to set $RPM_OPT_FLAGS/%{optflags}
4.
I followed the guideline to intall desktop file, however the desktop file still need some additional modification such as adding a key to the desktop file or changing the content of a key that cannot accomplished by desktop-file-intall.
5.
I removed comments in files section.

Comment 6 Jason Tibbitts 2010-11-13 23:33:54 UTC
The package from comment 5 fails to build for me:

gcc -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -Wall -g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -o llk_linux main.o llk_about.o llk_algorithm.o llk_inifile.o create_pak.o pak.o eggtrayicon.o tray.o -pthread  -lgtk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lfreetype -lfontconfig -lgdk-x11-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lpng12 -lgthread-2.0 -lrt -lglib-2.0 -lc -lesd
/usr/bin/ld: eggtrayicon.o: undefined reference to symbol 'XFlush'
/usr/bin/ld: note: 'XFlush' is defined in DSO /usr/lib64/libX11.so.6 so try adding it to the linker command line
/usr/lib64/libX11.so.6: could not read symbols: Invalid operation

Failed koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2599474

Comment 7 Jason Tibbitts 2012-06-29 22:03:11 UTC
No buildable package in 18+ months; closing.


Note You need to log in before you can comment on or make changes to this bug.